Minor Docker cleanups
* Fix typo in `COPY` command
* Update `JENKINS_VERSION` to match actual version downloaded
* Add `-f` to Curl call to fail on HTTP codes >= 400
* Add `set -e` to entrypoint script to fail on errors
* Change `echo` commands in entrypoint to echo to STDERR
* Make entrypoint whitespace consistent
diff --git a/jenkins.sh b/jenkins.sh
index da0dd65..96db063 100755
--- a/jenkins.sh
+++ b/jenkins.sh
@@ -1,5 +1,7 @@
#! /bin/bash
+set -e
+
# Copy files from /usr/share/jenkins/ref into /var/jenkins_home
# So the initial JENKINS-HOME is set with expected content.
# Don't override, as this is just a reference setup, and use from UI